gr::gsm::collect_system_info Class Referenceabstract

<+description of block+> More...

`#include <collect_system_info.h>`

Inheritance diagram for gr::gsm::collect_system_info:

## Public Types

typedef std::shared_ptr< collect_system_info > | sptr

## Public Member Functions

virtual std::vector< int > | get_framenumbers ()=0
virtual std::vector< std::string > | get_system_information_type ()=0
virtual std::vector< std::string > | get_data ()=0

## Static Public Member Functions

static sptr | make ()
| Return a shared_ptr to a new instance of gsm::collect_system_info.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<collect_system_info> gr::gsm::collect_system_info::sptr

## Member Function Documentation

## get_data()

virtual std::vector< std::string > gr::gsm::collect_system_info::get_data | ( |  | ) |

pure virtual

Implemented in gr::gsm::collect_system_info_impl.

## get_framenumbers()

virtual std::vector< int > gr::gsm::collect_system_info::get_framenumbers | ( |  | ) |

pure virtual

Implemented in gr::gsm::collect_system_info_impl.

## get_system_information_type()

virtual std::vector< std::string > gr::gsm::collect_system_info::get_system_information_type | ( |  | ) |

pure virtual

Implemented in gr::gsm::collect_system_info_impl.

## make()

sptr gr::gsm::collect_system_info::make | ( |  | ) |

static

Return a shared_ptr to a new instance of gsm::collect_system_info.

To avoid accidental use of raw pointers, gsm::collect_system_info's constructor is in a private implementation class. gsm::collect_system_info::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- collect_system_info.h